### ShareX website: [getsharex.com](https://getsharex.com)

[![](https://getsharex.com/img/ShareX_Screenshot.png)](https://getsharex.com)

# Features

## Capturing

ShareX incorporates the following methods to allow screen capture.

* Fullscreen
* Active window
* Active monitor
* Window menu
* Monitor menu
* Region
* Region (Annotate)
* Region (Light)
* Region (Transparent)
* Polygon
* Freehand
* Last region
* Custom region
* Screen recording
* Screen recording (GIF)
* Scrolling capture
* Webpage capture
* Auto capture

#### After capture tasks

You can select any or all of these tasks to be automatically run after each screen capture.

* Show quick task menu
* Show "After capture" window
* Add image effects / watermark
* Open in image editor
* Copy image to clipboard
* Print image
* Save image to file
* Save image to file as
* Save thumbnail image to file
* Perform actions
* Copy file to clipboard
* Copy file path to clipboard
* Show file in explorer
* Show "Before upload" window
* Upload image to host
* Delete file locally

## Uploading

ShareX has multiple ways to upload files.

* Upload file
* Upload folder
* Upload from clipboard
* Upload from URL
* Drag and drop upload (drop area or main window)
* Upload from Windows shell context menu
* Upload from Windows send to menu
* Watch folder

#### After upload tasks

These tasks will automatically run after successful upload to any host.

* Show "After upload" window
* Shorten URL
* Share URL
* Copy URL to clipboard
* Open URL
* Show QR code window

## Destinations

ShareX supports the following destinations.

#### Image uploaders

* [Imgur](http://imgur.com)
* [ImageShack](https://imageshack.us)
* [TinyPic](http://tinypic.com)
* [Flickr](https://www.flickr.com)
* [Photobucket](http://photobucket.com)
* [Picasa](https://picasaweb.google.com)
* [Twitter](https://twitter.com)
* [Chevereto](https://chevereto.com)
  * [UltraIMG](http://ultraimg.com)
  * [Yukle.at](http://yukle.at)
  * [PatiFile](http://img.patifile.com)
  * [BoltIMG](http://boltimg.com)
  * [Snapie](http://snapie.net)
  * [picgur](http://picgur.org)
  * [pixr](http://pixr.co)
  * [sexr](http://sexr.co)
  * [Lightpics](http://lightpics.net)
  * [Imgfly](http://imgfly.me)
  * [ImgPinas](http://imgpinas.com)
  * [imu.gr](http://imu.gr)
  * [Upsieutoc](http://www.upsieutoc.com)
  * [StoreMyPic](http://www.storemypic.com)
  * [TL Things](http://i.tlthings.net)
* [vgy.me](http://vgy.me)
* [SomeImage](https://someimage.com)
* [Imgland](http://imgland.net)
* [Custom image uploader](https://github.com/ShareX/CustomUploaders)
* [File uploader](#file-uploaders)

#### Text uploaders

* [Pastebin](http://pastebin.com)
* [Paste2](http://paste2.org)
* [Slexy](http://slexy.org)
* [Pastee.org](https://pastee.org)
* [Paste.ee](https://paste.ee)
* [GitHub Gist](https://gist.github.com)
* [uPaste](http://upaste.me)
* [Hastebin](http://hastebin.com)
* [OneTimeSecret](https://onetimesecret.com)
* [Custom text uploader](https://github.com/ShareX/CustomUploaders)
* [File uploader](#file-uploaders)

#### File uploaders

* [Dropbox](https://www.dropbox.com)
* [FTP](https://en.wikipedia.org/wiki/File_Transfer_Protocol)
* [OneDrive](https://onedrive.live.com)
* [Google Drive](https://drive.google.com)
* [Copy](https://www.copy.com)
* [Box](https://www.box.com)
* [MEGA](https://mega.co.nz)
* [Amazon S3](http://aws.amazon.com/s3/)
* [ownCloud](https://owncloud.org)
* [MediaFire](https://www.mediafire.com)
* [Gfycat](http://gfycat.com)
* [Pushbullet](https://www.pushbullet.com)
* [SendSpace](https://www.sendspace.com)
* [Minus](http://minus.com)
* [Ge.tt](http://ge.tt)
* [Hostr](https://hostr.co)
* [JIRA](https://www.atlassian.com/software/jira)
* [Lambda](http://lambda.sx)
* [VideoBin](http://videobin.org)
* [Pomf](https://github.com/nokonoko/Pomf)
  * [1339.cf](http://1339.cf)
  * [catgirlsare.sexy](https://catgirlsare.sexy)
  * [comfy.moe](http://comfy.moe)
  * [cocaine.ninja](https://cocaine.ninja)
  * [cuntflaps.me](http://cuntflaps.me)
  * [files.plebeianparty.com](http://files.plebeianparty.com)
  * [g.zxq.co](http://g.zxq.co)
  * [glop.me](http://glop.me)
  * [kyaa.sg](http://kyaa.sg)
  * [maxfile.ro](https://maxfile.ro)
  * [mixtape.moe](https://mixtape.moe)
  * [nigger.cat](https://nigger.cat)
  * [pomf.cat](https://pomf.cat)
  * [pomf.hummingbird.moe](http://pomf.hummingbird.moe)
  * [pomf.is](https://pomf.is)
  * [reich.io](http://reich.io)
  * [sugoi.vidyagam.es](https://sugoi.vidyagam.es)
  * [up.che.moe](http://up.che.moe)
* [Uguu](https://uguu.se)
* [Dropfile](https://dropfile.to)
* [Up1](https://up1.ca)
* [Seafile](https://www.seafile.com)
* [s-ul](https://s-ul.eu)
* [Streamable](https://streamable.com)
* Shared folder
* [Email](https://en.wikipedia.org/wiki/Email)
* [Custom file uploader](https://github.com/ShareX/CustomUploaders)

#### URL shorteners

* [bit.ly](https://bitly.com)
* [goo.gl](https://goo.gl)
* [is.gd](https://is.gd)
* [v.gd](https://v.gd)
* [tinyurl.com](http://tinyurl.com)
* [turl.ca](http://turl.ca)
* [yourls.org](http://yourls.org)
* [adf.ly](https://adf.ly)
* [coinurl.com](https://coinurl.com)
* [qr.net](http://qr.net)
* [vurl.com](http://vurl.com)
* [2.gp](http://2.gp)
* [Polr](https://github.com/Cydrobolt/polr)
* [Custom URL shortener](https://github.com/ShareX/CustomUploaders)

#### URL sharing services

* [Email](https://en.wikipedia.org/wiki/Email)
* [Twitter](https://twitter.com)
* [Facebook](https://www.facebook.com)
* [Google+](https://plus.google.com)
* [Reddit](http://www.reddit.com)
* [Pinterest](https://www.pinterest.com)
* [Tumblr](https://www.tumblr.com)
* [LinkedIn](https://www.linkedin.com)
* [StumbleUpon](https://www.stumbleupon.com)
* [Delicious](https://delicious.com)
* [VK](https://vk.com)
* [Pushbullet](https://www.pushbullet.com)

## Tools

Additional tools to make certain tasks more efficient.

* Color picker
* Screen color picker
* Image editor
* Image effects
* Hash check
* DNS changer
* QR code
* Ruler
* Automate
* Directory indexer
* Image combiner
* Video thumbnailer
* FTP client
* Tweet message
* Monitor test
